package com.caliverse.admin.dynamodb.domain.doc;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import software.amazon.awssdk.enhanced.dynamodb.mapper.annotations.DynamoDbAttribute;
import software.amazon.awssdk.enhanced.dynamodb.mapper.annotations.DynamoDbBean;

@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@DynamoDbBean
public class OwnedLandDoc extends DynamoDBDocBase {
    private String ownedLandAttrib;

    public String getAttribFieldName() {
        return "OwnedLandAttrib";
    }

    @DynamoDbAttribute("OwnedLandAttrib")
    @JsonProperty("OwnedLandAttrib")
    public String getAttribValue() {
        return ownedLandAttrib;
    }

    public void setAttribValue(String value) {
        this.ownedLandAttrib = value;
    }
}

